# $Revision: 1.44 $, $Date: 2011/05/26 10:41:59 $

%define		qtver	4.6.2
%define		snap	20100401

Summary:	Voice chat software primarily intended for use while gaming
Name:		mumble
Version:	1.2.3
Release:	3
License:	BSD and Custom (see LICENSE)
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/mumble/%{name}-%{version}.tar.gz
# Source0-md5:	55804e3dfe98b16eeb40abca6c254625
# get it via: git clone git://mumble.git.sourceforge.net/gitroot/mumble/mumble
#Source0:	%{name}-%{version}-%{snap}.tar.gz
URL:		http://mumble.sourceforge.net/
Source1:	murmur.init
Source2:	%{name}.desktop
Source3:	%{name}-overlay.desktop
Source4:	murmur.logrotate
Patch0:		%{name}-compile-fix.patch
Patch1:		%{name}-murmurini.patch
Patch2:		%{name}-link.patch
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	alsa-lib-devel
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	boost-devel
BuildRequires:	celt-devel >= 0.7.1
BuildRequires:	ice-devel
BuildRequires:	libcap-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libogg-devel
BuildRequires:	libsndfile-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf
BuildRequires:	protobuf-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	speech-dispatcher-devel
BuildRequires:	speex-devel
Requires:	QtSql-sqlite3 >= %{qtver}
Requires:	speech-dispatcher
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		/var/lib/murmur

%description
Low-latency, high-quality voice communication for gamers. Includes
game linking, so voice from other players comes from the direction of
their characters, and has echo cancellation so the sound from your
loudspeakers won't be audible to other players.

%package server
Summary:	Mumble voice chat server
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	QtSql-sqlite3 >= %{qtver}
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(murmur)
Provides:	user(murmur)

%description server
Murmur (also called mumble-server) is part of VoIP suite Mumble
primarily intended for gamers. Murmur is server part of suite.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

# change obsoleted LIBPATH to QMAKE_LIBDIR
%{__sed} -i 's,LIBPATH,QMAKE_LIBDIR,' src/mumble11x/mumble11x.pro

%build
qmake-qt4 "CONFIG+=no-bundled-speex no-bundled-celt no-g15 \
no-embed-qt-translations no-update \
QMAKE_CFLAGS=%{rpmcflags} \
QMAKE_CXXFLAGS=%{rpmcxxflags} \
QMAKE_CFLAGS_RELEASE=%{rpmcflags} \
QMAKE_CXXFLAGS_RELEASE=%{rpmcxxflags} \
DEFINES+=PLUGIN_PATH=%{_libdir}/%{name} \
DEFINES+=DEFAULT_SOUNDSYSTEM=PulseAudio" main.pro
%{__make} release -j1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_libdir}/%{name},%{_sysconfdir}/murmur,%{_desktopdir}}
install -d $RPM_BUILD_ROOT{%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_appdir}}
install -d $RPM_BUILD_ROOT/etc/logrotate.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/murmurd
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/murmur
install -p release/libmumble.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install -p release/mumble* $RPM_BUILD_ROOT%{_bindir}
install -p release/murmurd $RPM_BUILD_ROOT%{_sbindir}
install -p release/plugins/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a scripts/murmur.ini $RPM_BUILD_ROOT%{_sysconfdir}/murmur
#cp -a src/mumble11x/resources/mumble.16x16.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/%{name}.png
cp -a src/mumble11x/resources/mumble.32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
#cp -a src/mumble11x/resources/mumble.48x48.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/%{name}.png
#cp -a src/mumble11x/resources/mumble.64x64.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre server
%groupadd -g 250 murmur
%useradd -u 250 -d /var/lib/murmur -g murmur -c "Mumble Server" murmur

%post server
if [ ! -f /var/log/murmur ]; then
	umask 027
	touch /var/log/murmur
	chown murmur:logs /var/log/murmur
fi
/sbin/chkconfig --add murmurd
%service murmurd restart "mumble server"

%preun server
if [ "$1" = "0" ]; then
	%service murmurd stop
	/sbin/chkconfig --del murmurd
fi

%postun server
if [ "$1" = "0" ]; then
        %userremove murmur
        %groupremove murmur
fi

%files
%defattr(644,root,root,755)
%doc README README.Linux LICENSE CHANGES
%attr(755,root,root) %{_bindir}/mumble
%attr(755,root,root) %{_bindir}/mumble11x
%attr(755,root,root) %{_libdir}/libmumble.so.*.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%files server
%defattr(644,root,root,755)
%attr(750,root,murmur) %dir %{_sysconfdir}/murmur
%attr(770,murmur,murmur) %dir %{_appdir}
%attr(640,root,murmur) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/murmur/murmur.ini
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/murmur
%attr(755,root,root) %{_sbindir}/murmurd
%attr(754,root,root) /etc/rc.d/init.d/murmurd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mumble.spec,v $
Revision 1.44  2011/05/26 10:41:59  marti
- this version resolves CVE-2010-2490 DOS vuln

Revision 1.43  2011/02/23 18:08:31  lisu
- fix log permissions
- TODO dropped
- rel 2

Revision 1.42  2011/02/21 10:48:31  lisu
- up to 1.2.3

Revision 1.41  2011/01/24 01:33:10  sparky
- BR: avahi-compat-libdns_sd-devel, boost-devel, libcap-devel,
  libmodplug-devel, libogg-devel, libsndfile-devel, openssl-devel,
  pkgconfig, protobuf-devel
- dropped unused BR: QtXmlPatterns-devel

Revision 1.40  2011/01/08 15:50:04  lisu
- missing BRs: alsa-lib-devel, qt4-linguist
- replace obsoleted LIBPATH with QMAKE_LIBDIR
- make release

Revision 1.39  2010/11/08 20:49:54  shadzik
- rel 4

Revision 1.38  2010/11/08 20:44:13  shadzik
- add patch2
- rel 3

Revision 1.37  2010/11/08 20:00:56  shadzik
- rel 2

Revision 1.36  2010/08/29 22:21:43  shadzik
- same for groupadd/del

Revision 1.35  2010/08/22 17:00:50  shadzik
- add BR, R and P for useradd and userdel

Revision 1.34  2010/08/05 14:01:16  shadzik
- remove murmur user and group after uninstalling mumble-server

Revision 1.33  2010/04/17 06:23:11  shadzik
- remove obsolete TODO entry

Revision 1.32  2010/04/16 20:43:48  shadzik
- rel 1 (murmur works for me, mumble works too, but i'm having recoring trouble)

Revision 1.31  2010/04/16 20:37:14  shadzik
- this works

Revision 1.30  2010/04/16 20:19:53  shadzik
- group got broken while commiting

Revision 1.29  2010/04/16 20:15:20  shadzik
- fix it, but leaving it broken is really temptatious instead of having it somehow working ;)

Revision 1.28  2010/04/16 20:12:59  glen
- no ownership changed on logfile, so just let umask do the proper permissions

Revision 1.27  2010/04/16 20:11:40  glen
- still let daemon read files

Revision 1.26  2010/04/16 19:45:21  arekm
- keep it broken until someone really fixes it

Revision 1.25  2010/04/16 14:26:33  shadzik
- fix homedir

Revision 1.24  2010/04/16 11:08:06  shadzik
- even better, thx glen

Revision 1.23  2010/04/16 10:36:12  shadzik
- change attr to please glen

Revision 1.22  2010/04/16 07:41:36  glen
- rc-scripts 0.4.0.17 for --user, 0.4.1.23 for --pidfile (PLD-doc/BuildRequires.txt)

Revision 1.21  2010/04/15 19:23:21  shadzik
- /etc/murmur must be owned by murmur

Revision 1.20  2010/04/15 18:47:11  shadzik
- %pre for mumble-server

Revision 1.19  2010/04/15 18:35:07  shadzik
- server R: QtSql-sqlite3

Revision 1.18  2010/04/15 18:18:33  shadzik
- touch murmur logfile

Revision 1.17  2010/04/15 18:11:46  shadzik
- put 32px icon to pixmaps

Revision 1.16  2010/04/15 17:25:27  shadzik
- add logrotate and patch1

Revision 1.15  2010/04/15 16:46:22  shadzik
- QtSql-sqlite3 is actually needed by both mumble and murmur
- rel 0.2
- rearranged BRs
- murmur init script

Revision 1.14  2010/04/07 08:23:47  shadzik
- Ice-devel -> ice-devel

Revision 1.13  2010/04/04 11:13:15  glen
- adapter, deps for %service, verify flags for config file

Revision 1.12  2010/04/02 11:46:36  shadzik
- typo

Revision 1.11  2010/04/02 02:05:32  shadzik
- config(noreplace) for murmur.ini

Revision 1.10  2010/04/02 02:04:00  shadzik
- plugins

Revision 1.9  2010/04/02 02:01:31  shadzik
- icons for mumble

Revision 1.8  2010/04/02 01:51:13  shadzik
- desktop file for mumble

Revision 1.7  2010/04/02 01:35:51  shadzik
- more files
- post operations for murmurd

Revision 1.6  2010/04/02 01:29:17  shadzik
- murmur R: QtSql-sqlite3
- group change

Revision 1.5  2010/04/02 01:26:32  shadzik
- make -j1 - fixes build
- %files
- still NFY

Revision 1.4  2010/04/01 22:58:41  shadzik
- fix %setup

Revision 1.3  2010/04/01 22:58:05  shadzik
- BRs
- PLDized
- murmur -> mumble-server name change
- no %files
- NFY, no %files

Revision 1.2  2010/03/30 09:05:45  shadzik
- 1.2.2
- not tested, spec is a mess and needs a lot of pldization

Revision 1.1  2009/10/03 10:22:07  amateja
- initial from fedora
